summaryrefslogtreecommitdiff
path: root/pcr/python2-gitdb
diff options
context:
space:
mode:
authorAurélien DESBRIÈRES <aurelien@hackers.camp>2014-06-06 09:37:33 +0200
committerAurélien DESBRIÈRES <aurelien@hackers.camp>2014-06-06 09:37:33 +0200
commit6b4f39cf9ee7722b0ae5b353f5663c29aa7e6e62 (patch)
tree4193d381728fd7f4bd5a47fed938890312e3a047 /pcr/python2-gitdb
parent73ab7924130ec89acb55f2533fc02a3e3fff524b (diff)
python2-gitdb
Diffstat (limited to 'pcr/python2-gitdb')
-rw-r--r--pcr/python2-gitdb/PKGBUILD19
1 files changed, 19 insertions, 0 deletions
diff --git a/pcr/python2-gitdb/PKGBUILD b/pcr/python2-gitdb/PKGBUILD
new file mode 100644
index 000000000..f0cde5926
--- /dev/null
+++ b/pcr/python2-gitdb/PKGBUILD
@@ -0,0 +1,19 @@
+# Contributor (Arch) : Jon Bergli Heier <snakebite@jvnv.net>
+# Maintainer (Parabola) : Aurélien DESBRIÈRES <aurelien@hackers.camp>
+
+pkgname=python2-gitdb
+pkgver=0.5.4
+pkgrel=1
+pkgdesc="IO of git-style object databases"
+arch=('i686' 'x86_64')
+url="http://pypi.python.org/pypi/gitdb"
+license=('BSD')
+makedepends=('python2' 'python2-distribute')
+depends=('python2' 'python2-async>=0.6.1' 'python2-smmap>=0.8.0')
+source=("http://pypi.python.org/packages/source/g/gitdb/gitdb-${pkgver}.tar.gz")
+
+package() {
+ cd "$srcdir/gitdb-$pkgver"
+ python2 setup.py install --root="$pkgdir/" || return 1
+}
+# vim:set ts=2 sw=2 et: